<div style="margin-top: 50px;" >
  <h3>List blog</h3>
  <div>
    <table class="table table-striped">
      <thead>
        <tr>
          <th>id</th>
          <th  width = "30%">title</th>
          <th width = "30%">des</th>
          <!-- <th>detail</th> -->
          <th>category</th>
          <th>public</th>
          <th>data_pubblic</th>
          <th>position</th>
          <th scope="col">edit</th>
          <th scope="col">delete</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor=" let blog of listBlog">
          <th scope="row">{{ blog.id }}</th>
          <td>{{ blog.title }}</td>
          <td>{{ blog.des }}</td>
          <!-- <td>{{ blog.detail }}</td> -->
          <td>{{ blog.category }}</td>
          <td>{{ blog.public }}</td>
          <td>{{ blog.data_pubblic }}</td>
          <td>{{ blog.position }}</td>
          <td>
           <app-blog-modal></app-blog-modal>
          </td>
          <td>
            <a [routerLink]="['/edit/'+ blog.id]" type="button" class="text-primary" (click)="edit(blog.id)">edit</a>
          </td>
          <td><button type="button" class="btn btn-outline-danger" (click)="delete(blog.id)"> delete</button></td>
        </tr>
      </tbody>
    </table>
    <div class="d-flex justify-content-between p-2">
      <!-- <ngb-pagination
        [collectionSize]="(total$ | async)!" [(page)]="service.page" [pageSize]="service.pageSize">
      </ngb-pagination> -->

      <select class="custom-select" style="width: auto" name="pageSize">
        <option [ngValue]="2">2 items per page</option>
        <option [ngValue]="4">4 items per page</option>
        <option [ngValue]="6">6 items per page</option>
      </select>
    </div>
  </div>
</div>
